using MediatR;
using System;

namespace Sledgemapper.Api.Commands
{
    public abstract class BaseCommand<T> : IRequest<T>
    {
        public double Timestamp { get; private set; }
        public string SessionName { get; private set; }
        public int UserId { get; private set; }

        public BaseCommand(string sessionName, int userId)
        {
            Timestamp = DateTimeOffset.Now.ToUnixTimeMilliseconds();
            SessionName = sessionName;
            UserId = userId;
        }
    }
}
